aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2008-01-23 22:18:01 +0000
committerAvatar David Leverton <levertond@googlemail.com> 2008-01-23 22:18:01 +0000
commit8f2802b20f7a85a5a488be6d4519c7bcf45e3a91 (patch)
tree00094db7d5e15c1b39265107cc7c791d9040e40c
parentede5cbb9532eeec7b0b859007c22e49351b291c8 (diff)
downloadpaludis-8f2802b20f7a85a5a488be6d4519c7bcf45e3a91.tar.gz
paludis-8f2802b20f7a85a5a488be6d4519c7bcf45e3a91.tar.xz
Fix error checking for lzma unpack.
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/unpack7
1 files changed, 6 insertions, 1 deletions
diff --git a/paludis/repositories/e/ebuild/utils/unpack b/paludis/repositories/e/ebuild/utils/unpack
index 0421596..c31300f 100755
--- a/paludis/repositories/e/ebuild/utils/unpack
+++ b/paludis/repositories/e/ebuild/utils/unpack
@@ -23,10 +23,15 @@
die()
{
- echo "dounpack: error: $@" 1>&2
+ echo "unpack: error: $@" 1>&2
kill -s SIGUSR1 "${EBUILD_KILL_PID}"
exit 123
}
+assert()
+{
+ local _pipestatus="${PIPESTATUS[*]}"
+ [[ -z "${_pipestatus//[ 0]/}" ]] || die "$@: $_pipestatus"
+}
unpack_one()
{